<?php

/**
 *
 * @package phpBB Extension - Hijri calendar
 * @copyright (c) 2014 Saeed@hubaishan.com
 *
 */

namespace hubaishan\hijri\event;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Event listener
 */
class main_listener implements EventSubscriberInterface {
	
	/** @var phpbb/user */
	protected $user;

	/**
	* Constructor
	*
	* @param \phpbb\user $user User object
	*/
	public function __construct(\phpbb\user $user)
	{
		$this->user = $user;
	}


	static public function getSubscribedEvents() {
		return array(
			'core.user_setup' => 'load_language_on_setup',
			'core.acp_board_config_edit_add'	=> 'load_board_language',
		);
	}

	public function load_language_on_setup($event) {
		$lang_set_ext = $event['lang_set_ext'];
		$lang_set_ext[] = array(
			'ext_name' => 'hubaishan/hijri',
			'lang_set' => array('common','hijri_months',),
		);
		$event['lang_set_ext'] = $lang_set_ext;
	}
	
	public function load_board_language($event) {
		$this->user->add_lang_ext('hubaishan/hijri', 'board');
	}
}
