<?php

/**
 * This file is part of 
 * Hijri Calendar package.
 *
 *
 * @copyright (c) 2016 Hubaishan
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace hubaishan\hijri\migrations\v2xx;

class release_2_2_0 extends \phpbb\db\migration\migration
{
	/**
	 * {@inheritdoc}
	 */
	public function effectively_installed()
	{
		return version_compare($this->config['hijri_version'], '2.2.0', '>=');
	}

	/**
	 * {@inheritdoc}
	 */
	static public function depends_on()
	{
		return array('\hubaishan\hijri\migrations\v2xx\release_2_1_0',
			'\hubaishan\hijri\migrations\v2xx\update_user_schema'
		);
	}

	/**
	 * {@inheritdoc}
	 */
	
	public function update_data()
	{
		global $phpbb_container;
		$config_text=$phpbb_container->get('config_text');
		$json_hijri_data='{"'. 
				str_replace(
					array('=>', ',', ' ',"\n","\r"),
					array('":',',"','','',''),
					trim($config_text->get('hijri_adj_data'),", \n\r"))
				.'}';
		return array(
			array('custom', array(array($this, 'replace_ah'))),
			array('config.update', array('default_dateformat', str_replace( 
					array('\a\h','\a\d'),
					array('\A\H','\A\D'),
					$this->config['default_dateformat']))),
			array('config_text.add', array('hijri_default_dateformat_bk', '')),
			array('config_text.update', array('hijri_adj_data', $json_hijri_data)),
			array('config.update', array('hijri_version', '2.2.0')),
		);
	}

	public function replace_ah()
	{
		$sql='UPDATE ' .USERS_TABLE . ' SET user_dateformat = replace(replace(user_dateformat, \''. 
			$this->db->sql_escape('\a\h') . '\', \'' . $this->db->sql_escape('\A\H') . '\'), \'' . 
			$this->db->sql_escape('\a\d') . '\', \'' . $this->db->sql_escape('\A\D') . '\')';
		$this->db->sql_query($sql);
		
	}
}
