<?php
/**
 * This file is part of 
 * Hijri Calendar package.
 *
 *
 * @copyright (c) 2016 Hubaishan
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */
namespace hubaishan\hijri\migrations\v2xx;

class update_user_schema extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return $this->db_tools->sql_column_exists($this->table_prefix . 'users', 'hijri_dateformat_bk');
	}

	static public function depends_on()
	{
		return array('\hubaishan\hijri\migrations\v2xx\release_2_1_0');
	}

	public function update_schema()
	{
		return array(
			'add_columns'	=> array(
				$this->table_prefix . 'users'			=> array(
					'hijri_dateformat_bk'				=> array('VCHAR_UNI:64', ''),
				),
			),
		);
	}

	public function revert_schema()
	{
		return array(
			'drop_columns'	=> array(
				$this->table_prefix . 'users'			=> array(
					'hijri_dateformat_bk',
				),
			),
		);
	}
}
